Subject: [Patch] Distcheck is broken for C/Vala mixed projects

From: Marc-Antoine Perennou <[email-masked]>
Date: Thu, 12 Apr 2012 11:10:39 +0200

If a project has a single Makefile.am referrencing C and Vala projects,
distcheck currenly fails telling there are no source files for generating
stamps for C-only binaries.
Attached patch avoid dealing with vala stuff for binaries not related to
vala insice C/Vala mixed project + adds a test for it